/*******************************************************************************
 * FoxProjectile_PackBase generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxProjectile_PackBase extends FoxProjectile_MineBase
    native(Weapon)
    config(Projectile)
    hidecategories(Navigation);

var config int MaxUses;
var int UsesLeft;
var int PackLevel;

simulated function DoExplosion()
{
    //return;    
}

simulated function Activate()
{
    bActive = true;
    UsesLeft = MaxUses;
    //return;    
}

simulated function Touch(Actor Other, PrimitiveComponent OtherComp, Vector HitLocation, Vector HitNormal)
{
    // End:0x146
    if(bActive)
    {
        // End:0x146
        if((FoxPawn(Other) != none) && WorldInfo.GRI.OnSameTeam(FoxPawn(Other), Instigator) || ((FoxVehicle(Other) != none) && FoxVehicle(Other).IsDriven()) && WorldInfo.GRI.OnSameTeam(FoxVehicle(Other).GetDriver(), Instigator))
        {
            DoUseEffect(FoxPawn(Other));
        }
    }
    //return;    
}

simulated function DoUseEffect(FoxPawn Other)
{
    //return;    
}

simulated function StopBounce(Vector HitNormal, optional Vector HitLocation)
{
    local Rotator NewRot;
    local float rscale;

    super(FoxProjectile_GrenadeBase).StopBounce(HitNormal, HitLocation);
    Activate();
    NewRot = rotator(HitNormal);
    NewRot.Yaw += Rotation.Yaw;
    rscale = -16384.0 * HitNormal.Z;
    NewRot.Pitch += int(rscale);
    SetOwner(none);
    SetRotation(NewRot);
    // End:0x116
    if(Role == ROLE_Authority)
    {
        StopLocation = Location;
        StopRotation = Rotation;
    }
    //return;    
}

simulated function bool ShouldBounce(Actor Touched, Vector HitNormal)
{
    // End:0x23
    if(!super(FoxProjectile_GrenadeBase).ShouldBounce(Touched, HitNormal))
    {
        return false;
    }
    // End:0x57
    if(HitNormal.Z > 0.010)
    {
        bBounce = false;
        return true;
    }
    return true;
    //return ReturnValue;    
}

defaultproperties
{
    begin object name=StaticMeshComponent0 class=StaticMeshComponent
        ReplacementPrimitive=none
    object end
    // Reference: StaticMeshComponent'Default__FoxProjectile_PackBase.StaticMeshComponent0'
    Mesh=StaticMeshComponent0
    bStickToTarget=false
    MaxBounceCount=10
    Bounciness=0.010
    DialogName="Pack"
    begin object name=HRVMat class=MaterialInstanceConstant
        Parent=Material'FX_Characters.MT.MT_HVT_Noise'
        ParentLightingGuid=(A=-1709246918,B=1299300049,C=-518210160,D=408981621)
        LightingGuid=(A=190909713,B=1327111706,C=498341005,D=615930824)
    object end
    // Reference: MaterialInstanceConstant'Default__FoxProjectile_PackBase.HRVMat'
    HRVMaterial=HRVMat
    ProjLightEnvironment=DynamicLightEnvironmentComponent'Default__FoxProjectile_PackBase.MyLightEnvironment'
    begin object name=CollisionCylinder class=CylinderComponent
        CollisionHeight=10.0
        CollisionRadius=15.0
        ReplacementPrimitive=none
    object end
    // Reference: CylinderComponent'Default__FoxProjectile_PackBase.CollisionCylinder'
    CylinderComponent=CollisionCylinder
    begin object name=CollisionCylinder class=CylinderComponent
        CollisionHeight=10.0
        CollisionRadius=15.0
        ReplacementPrimitive=none
    object end
    // Reference: CylinderComponent'Default__FoxProjectile_PackBase.CollisionCylinder'
    Components(0)=CollisionCylinder
    Components(1)=DynamicLightEnvironmentComponent'Default__FoxProjectile_PackBase.MyLightEnvironment'
    begin object name=StaticMeshComponent0 class=StaticMeshComponent
        ReplacementPrimitive=none
    object end
    // Reference: StaticMeshComponent'Default__FoxProjectile_PackBase.StaticMeshComponent0'
    Components(2)=StaticMeshComponent0
    CollisionType=ECollisionType.COLLIDE_TouchAllButWeapons
    bCanBeDamaged=false
    bCollideComplex=false
    bBounce=true
    begin object name=CollisionCylinder class=CylinderComponent
        CollisionHeight=10.0
        CollisionRadius=15.0
        ReplacementPrimitive=none
    object end
    // Reference: CylinderComponent'Default__FoxProjectile_PackBase.CollisionCylinder'
    CollisionComponent=CollisionCylinder
}